<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>添加员工信息</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
  <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
     <style>
        img{
            width: 40%;
            height: 30%;
        }
    </style>
</head>
<body>

  <div class="layui-fluid">
        <div class="layui-card">

          <div class="layui-card-body" pad15>
            <form class="layui-form" action="" lay-filter="component-form-element">
              <div class="layui-row layui-col-space10 layui-form-item">
                <div>
                  <label class="layui-form-label"><font color='red' size="4">*</font>类别：</label>
                  <div class="layui-input-block">
                    <select id="id_type" name="type" lay-verify="required">
                    </select>
                  </div>
                </div>
                <div>
                  <label class="layui-form-label"><font color='red' size="4">*</font>名称：</label>
                  <div class="layui-input-block">
                    <input type="text" name="name" lay-verify="required" placeholder="请输入名称" autocomplete="off" class="layui-input">
                  </div>
                </div>
                <div>
                  <label class="layui-form-label">备注：</label>
                  <div class="layui-input-block">
                    <input type="text" name="notes" placeholder="请输入备注" autocomplete="off" class="layui-input">
                  </div>
                </div>
                <div>
                  <label class="layui-form-label">在用：</label>
                  <div class="layui-input-block">
                    <input type="checkbox" name="enable" lay-skin="switch" lay-text="是|否" checked="" value="1">
                  </div>
                </div>
                <button id="id_save" class="layui-btn" lay-submit lay-filter="component-form-element" style="display: none">保存</button>
              </div>
            </form>
          </div>
        </div>
      </div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index',
    formSelects: 'formSelects-v4'
  }).use(['index', 'form', 'utils'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,form = layui.form;
    var id = layui.view.getParameterByName('id');

    admin.req({
        url: '/foundation/option/dict/',
        done: function (res) {
            var types = res.data.types;
            var type_node = $('#id_type');
            for (var i in types) {
                var pid = types[i][0];
                var value = types[i][1];
                type_node.append("<option value='" + pid + "'>" + value + "</option>");
            }
            form.render();
            loadData();
        }
    });

    var loadData = function () {
        if(id){
            var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
            $('#id_type').attr('disabled', true);

            form.val("component-form-element", editdata);
        }
    };

    form.on('submit(component-form-element)', function(data){
      //layer.msg(JSON.stringify(data.field));
        if (id) {
            var url = '/foundation/option/' + id + '/';
            var type = 'put'
        }else{
            url = '/foundation/option/';
            type = 'post'
        }
        admin.req({
            url: url
            ,data: data.field
            ,type: type
            ,done: function(res){
                parent.layui.onSubmitChild(res.data);
            }
          });

      return false;
    });

    parent.layui.submitChild = function () {
      $("#id_save").click();
    };
  });
  </script>
</body>
</html>